Subir un archivo del enterprise blueprint
curl --request POST \
--url https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.devin.ai/v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blueprint_id": "<string>",
"created_at": 123,
"env_var_name": "<string>",
"file_id": "<string>",
"name": "<string>",
"size_bytes": 123,
"updated_at": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Configuración de instantánea (Enterprise)
Subir un archivo del enterprise blueprint
Sube un archivo adjunto (material para la sustitución de variables de entorno) al blueprint.
Devuelve 409 si el nombre de la variable de entorno derivado entra en conflicto con otro archivo activo.
POST
/
v3beta1
/
enterprise
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
Subir un archivo del enterprise blueprint
Permisos
ManageAccountSnapshots a nivel.
Comportamiento
Autorizaciones
Credencial de usuario de servicio (prefijo: cog_)
Parámetros de ruta
Parámetros de consulta
Cuerpo
multipart/form-data
⌘I

